cascading.operation.filter

## Class Or

- java.lang.Object
- - cascading.operation.BaseOperation<Logic.Context>
  - - cascading.operation.filter.Logic
    - - cascading.operation.filter.Or

All Implemented Interfaces:
  DeclaresResults, Filter<Logic.Context>, Operation<Logic.Context>, Traceable, java.io.Serializable

    public class Or
    extends Logic

Class Or is a `Filter` class that will logically 'or' the results of the constructor provided Filter instances.

Logically, if `Filter.isRemove(cascading.flow.FlowProcess, cascading.operation.FilterCall)` returns `true` for any of the given instances, this filter will return `true`.

See Also:
  `And`, `Xor`, `Not`, Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.operation.filter.Logic

`Logic.Context`

### Field Summary

### Fields inherited from class cascading.operation.filter.Logic

`argumentSelectors, filters`

### Fields inherited from class cascading.operation.BaseOperation

`fieldDeclaration, numArgs, trace`

### Fields inherited from interface cascading.operation.Operation

`ANY`

### Constructor Summary

Constructors
Constructor and Description
`Or(Fields[] argumentSelectors, Filter[] filters)` Constructor Or creates a new Or instance.
`Or(Fields lhsArgumentSelector, Filter lhsFilter, Fields rhsArgumentSelector, Filter rhsFilter)` Constructor Or creates a new Or instance.
`Or(Filter... filters)` Constructor Or creates a new Or instance where all Filter instances receive all arguments.

### Method Summary

Methods
`boolean` `isRemove(FlowProcess flowProcess, FilterCall filterCall)` Method isRemove returns true if input should be removed from the tuple stream.

### Methods inherited from class cascading.operation.filter.Logic

`cleanup, equals, getArgumentSelectors, getFieldsSize, getFilters, hashCode, prepare, verify`

### Methods inherited from class cascading.operation.BaseOperation

`flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface cascading.operation.Operation

`flush, getFieldDeclaration, getNumArgs, isSafe`

### Constructor Detail

#### Or

    @ConstructorProperties(value="filters")
    public Or(Filter... filters)

Constructor Or creates a new Or instance where all Filter instances receive all arguments.

Parameters:
  `filters` - of type Filter...

#### Or

    @ConstructorProperties(value={"lhsArgumentsSelector","lhsFilter","rhsArgumentSelector","rhsFilter"})
    public Or(Fields lhsArgumentSelector,
                            Filter lhsFilter,
                            Fields rhsArgumentSelector,
                            Filter rhsFilter)

Constructor Or creates a new Or instance.

Parameters:
  `lhsArgumentSelector` - of type Fields
  `lhsFilter` - of type Filter
  `rhsArgumentSelector` - of type Fields
  `rhsFilter` - of type Filter

#### Or

    @ConstructorProperties(value={"argumentSelectors","filters"})
    public Or(Fields[] argumentSelectors,
                            Filter[] filters)

Constructor Or creates a new Or instance.

Parameters:
  `argumentSelectors` - of type Fields[]
  `filters` - of type Filter[]

### Method Detail

#### isRemove

    public boolean isRemove(FlowProcess flowProcess,
                   FilterCall filterCall)

Description copied from interface: `Filter`
Method isRemove returns true if input should be removed from the tuple stream.

Parameters:
  `flowProcess` - of type FlowProcess
  `filterCall` - of type FilterCall
Returns:
  boolean